List monthly PTO
curl --request GET \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/monthly-ptos \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/monthly-ptos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/monthly-ptos"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"month": 10,
"year": 2026,
"monthly_ptos": [
{
"user_email": "oliver@example.com",
"user_name": "Oliver Smith",
"expected_hours": 168,
"hours_worked": 120,
"pto_earned": 12,
"pto_used": 0,
"previous_month_pto": 4,
"net_pto": 16,
"salary_deduction": 0,
"locked": false
}
]
}Monthly PTO
List monthly PTO
List what each user earned and used in a month. Every PTO value is in hours. The full set is returned, ordered by name.
GET
/
monthly-ptos
List monthly PTO
curl --request GET \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/monthly-ptos \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/monthly-ptos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/monthly-ptos"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"month": 10,
"year": 2026,
"monthly_ptos": [
{
"user_email": "oliver@example.com",
"user_name": "Oliver Smith",
"expected_hours": 168,
"hours_worked": 120,
"pto_earned": 12,
"pto_used": 0,
"previous_month_pto": 4,
"net_pto": 16,
"salary_deduction": 0,
"locked": false
}
]
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Month number, 1 to 12.
Required range:
1 <= x <= 12Year, for example 2026.
Only this user's record.
Response
200 - application/json
OK - Request succeeded
Example:
10
Example:
2026
Hide child attributes
Hide child attributes
Example:
"oliver@example.com"
Example:
"Oliver Smith"
Example:
168
Example:
120
Example:
12
Example:
0
Example:
4
Example:
16
Example:
0
Example:
false